Loading...
Searching...
No Matches
doc_summary_of_writing_mathml_directly Class Reference

## Detailed Description

  As mentioned above, applications often can avoid working with raw MathML by using either libSBML's text-string interface or the AST API. However, when needed, reading MathML content directly and creating ASTs is easily done in libSBML using a method designed for this purpose:

- `ASTNode` readMathMLFromString(string) reads raw MathML from a text string, constructs an AST from it, then returns the root ASTNode of the resulting expression tree.

Similarly, writing out Abstract Syntax Tree structures is easily done using the following method:

- `string` writeMathMLToString(ASTNode) writes an AST to a string. The caller owns the character string returned and should free it after it is no longer needed.